//---------------------------------------------------------------------------

#ifndef imprimirTicket_mainH
#define imprimirTicket_mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TLabel *lcd;
        TLabel *stepLb;
        TLabel *Label1;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        TButton *Button4;
        TButton *Button5;
        TButton *Button6;
        TButton *Button7;
        TButton *Button9;
        TButton *Button10;
        TButton *Button11;
        TButton *btIntro;
        TButton *Button13;
        TButton *Button14;
        TTabSheet *TabSheet2;
        TMemo *Memo1;
        TMemo *Memo2;
        TStringGrid *sg;
        TPanel *Panel1;
        TSpeedButton *SpeedButton1;
        void __fastcall btIntroClick(TObject *Sender);
        void __fastcall Button14Click(TObject *Sender);
        void __fastcall Button13Click(TObject *Sender);
        void __fastcall Button11Click(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall Button9Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall FormKeyPress(TObject *Sender, char &Key);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall sgKeyPress(TObject *Sender, char &Key);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall PageControl1Change(TObject *Sender);
private:	// User declarations
        int step;
        float importeCobrar, importeEntrega;
        AnsiString importeTXT;

        bool serial_port_connected;
        HANDLE serial_hCom;
        AnsiString puerto, ticket_numberSufix;
        TStrings *ticket_header, *ticket_footer;

        void __fastcall addToNumber(AnsiString number);
        void __fastcall imprimirTicket(float importeCobrar, float importeEntrega);
        void __fastcall AbreCajon();
        void __fastcall serial_disconnect();
        void __fastcall serial_connect(const char *port, int BaudRate,int Parity,char ByteSize, bool excl);
        int __fastcall serial_sendData(char *data,int length);
        int __fastcall serial_sendLine(AnsiString data);




public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
